/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

body {
    font-family: var(--f-secundaria);
    font-size: 1rem;
    font-weight: 300;

    p {
        margin-bottom: 15px;

        &:last-child {
            margin-bottom: 0;
        }

        b, strong {
            font-weight: 600;
        }
    }

    a {
        transition: all 0.35s ease;
    }
}


h1, h2, h3, h4, h5, h6 {
    line-height: 1.2em;
    font-family: var(--f-primaria);
}

.tit {
    h1 {
        font-weight: 500;
        font-size: clamp(36px, 5vw, 65px);
    }

    h2 {
        font-weight: 600;
        font-size: clamp(30px, 3vw, 46px);
    }

    h3 {
        font-weight: 500;
        font-size: clamp(24px, 2vw, 30px);
    }

    h4 {
        font-weight: 500;
        font-size: clamp(18px, 1.5vw, 20px);
    }
}

.subtit {
    h3 {
        font-family: var(--f-secundaria);
        font-weight: 500;
        font-size: 22px;
    }
}

.subtit-p {
    p {
        font-family: var(--f-primaria);
        font-weight: 500;
        font-size: clamp(24px, 2vw, 30px);
    }
}

.tit-decorado {
    h1, h2, h3, h4, h5, h6, p {
        position: relative;

        &::before {
            content: '';
            background: url(/wp-content/uploads/2026/05/dec-titulos.svg);
            background-repeat: no-repeat;
            background-size: contain;
            background-position: center center;
            width: 80px;
            height: 80px;
            position: absolute;
            left: -32px;
            top: -45px;
        }
    }
}

.f300 {
    font-weight: 300;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 300;
    }
}

.f400 {
    font-weight: 400;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 400;
    }
}

.f500 {
    font-weight: 500;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 500;
    }
}

.f600 {
    font-weight: 600;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 600;
    }
}

.f700 {
    font-weight: 700;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 700;
    }
}

.c-gris {
    color: var(--c-gris);
}

.c-verde {
    color: var(--c-primario);
}

.c-blanco {
    color: var(--c-blanco);

    a {
        color: var(--c-blanco);

        &:hover {
            color: var(--c-gris);
        }
    }
}

.lista {
    ul {
        list-style: none;
        margin: 0 0 0 25px;

        li {
            position: relative;
            margin-bottom: 10px;

            &::before {
                content: "";
                position: absolute;
                background-color: var(--c-primario);
                width: 10px;
                height: 10px;
                top: 7px;
                left: -20px;
                border-radius: 20px;
            }
        }
    }
}

.bg-blur {
    backdrop-filter: blur(10px);
}

/* LINKS LEGALES */
#aviso-legal,
#politica-privacidad,
#politica-cookies {
    scroll-margin-top: 90px;
}

/* -- HOME -- */
.carrusel-home {
    .swiper {
        padding-right: 100px;
    }
}

/* ----- RESPONSIVE ------ */

@media screen and (max-width:1024px) {
    .salto-pc {
        display: none;
    }
    
    .carrusel-home {
        .swiper {
            padding-right: 50px;
        }
    }

    .tit-decorado {
        h1, h2, h3, h4, h5, h6, p {
            &::before {
                width: 50px;
                height: 50px;
                left: -22px;
                top: -28px;
            }
        }
    }
}

@media screen and (max-width:767px) {
    .tit-decorado {
        h1, h2, h3, h4, h5, h6, p {
            &::before {
                width: 30px;
                height: 30px;
                left: -17px;
                top: -20px;
            }
        }
    }
}